petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchGetStepLength

Get the current step length

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetStepLength(TaoLineSearch ls,PetscReal *s)

Not Collective Many br

### Input Parameters

ls -the TaoLineSearch context Many br

Output Parameters Many br

s -the current step length Many br

Many br

### See Also

TaoLineSearchSetInitialStepLength(), TaoLineSearchApply()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages